pascal {fBasics} | R Documentation

## Pascal Matrix

### Description

Creates a Pascal matrix.

### Usage

    pascal(n)

### Arguments

`n` | an integer value, the dimension of the square matrix.

### Details

The function `pascal` generates a Pascal matrix of order `n` which is a symmetric, positive, definite matrix with integer entries made up from Pascal's triangle. The determinant of a Pascal matrix is 1. The inverse of a Pascal matrix has integer entries. If `lambda` is an eigenvalue of a Pascal matrix, then `1/lambda` is also an eigenvalue of the matrix. Pascal matrices are ill-conditioned.

### References

Call G.S., Velleman D.J., (1993); Pascal's matrices, American Mathematical Monthly 100, 372–376.

Edelman A., Strang G., (2004); Pascal Matrices, American Mathematical Monthly 111, 361–385.

### Examples

    ## Create Pascal Matrix:
       P = pascal(5)
       P

    ## Determinant
       det(pascal(5))
       det(pascal(10))
       det(pascal(15))
       det(pascal(20))

[Package fBasics version 3042.89 Index]